Bug 253637 - After updating my REHL 5 system on x86_64 over the weekend, my system has become completely unstable and unusuable.
After updating my REHL 5 system on x86_64 over the weekend, my system has bec...
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: gcc4 (Show other bugs)
5.0
x86_64 Linux
urgent Severity urgent
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-20 18:30 EDT by W. Terrell Magee
Modified: 2008-01-10 06:44 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-10 06:44:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Output from the compile failure. (369.25 KB, text/plain)
2007-08-20 18:30 EDT, W. Terrell Magee
no flags Details

  None (edit)
Description W. Terrell Magee 2007-08-20 18:30:10 EDT
Description of problem:
Over the weekend, Aug 18, 2007, the machine named helm in RHN was allowed to
apply all updated from RHN. The update went without problem.  However, I am now
seeing a very unstable system.  Several system crashes resulting in immediate
reboots, random sig segv, and now I have a reproducible compiler failure.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.make bzImage in the release redhat kernel source tree
2.
3.
  
Actual results:
[root@helm Kernel]# make bzImage
  CHK     include/linux/version.h
  CHK     include/linux/utsrelease.h
  CHK     include/linux/compile.h
  CC      arch/x86_64/kernel/../../i386/kernel/cpu/mtrr/generic.o
arch/x86_64/kernel/../../i386/kernel/cpu/mtrr/generic.c: In function
‘generic_get_free_region’:
arch/x86_64/kernel/../../i386/kernel/cpu/mtrr/generic.c:104: internal compiler
error: in int_mode_for_mode, at stor-layout.c:248
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://bugzilla.redhat.com/bugzilla> for instructions.
Preprocessed source stored into /tmp/ccBFk3Kg.out file, please attach this to
your bugreport.
make[2]: *** [arch/x86_64/kernel/../../i386/kernel/cpu/mtrr/generic.o] Error 1
make[1]: *** [arch/x86_64/kernel/../../i386/kernel/cpu/mtrr] Error 2
make: *** [arch/x86_64/kernel] Error 2


Expected results:


Additional info:
The file systems are not full and fsck fine.

Filesystem           1K-blocks      Used Available Use% Mounted on
/dev/hda1              2030736    385508   1540408  21% /
tmpfs                   963588         0    963588   0% /dev/shm
/dev/hda7            165831992   2606004 154666156   2% /home
/dev/hda6              2030736     41360   1884556   3% /tmp
/dev/hda2             31738420   5642512  24457680  19% /usr
/dev/hda3             31738420    776800  29323392   3% /var
Comment 1 W. Terrell Magee 2007-08-20 18:30:11 EDT
Created attachment 161926 [details]
Output from the compile failure.
Comment 2 Jakub Jelinek 2007-08-21 02:55:17 EDT
Do you know if gcc or glibc has been updated during that time?
rpm -q gcc glibc
Can you verify gcc and glibc?
rpm -V `rpm -qa | grep 'gcc\|libstdc\|glibc\|nscd\|libgcj\|libgfortran'`
Comment 3 W. Terrell Magee 2007-08-21 10:52:46 EDT
]$ rpm -q gcc glibc
gcc-4.1.1-52.el5.2
glibc-2.5-12
glibc-2.5-12

The following is all I got before the system crashed again:


 rpm -V `rpm -qa | grep 'gcc\|libstdc\|glibc\|nscd\|libgcj\|libgfortran'`
error: rpmdbNextIterator: skipping h#     813 Header V3 DSA signature: BAD, key 
ID 37017186
error: rpmdbNextIterator: skipping h#     799 Header V3 DSA signature: BAD, key 
ID 37017186
error: rpmdbNextIterator: skipping h#    1374 Header V3 DSA signature: BAD, key 
ID 37017186
error: rpmdbNextIterator: skipping h#    1594 Header V3 DSA signature: BAD, key 
ID 37017186


prelink: /usr/libexec/gcc/x86_64-redhat-linux/3.4.6/cc1plus: prelinked file was 
modified
S.?.....   /usr/libexec/gcc/x86_64-redhat-linux/3.4.6/cc1plus
prelink: /tmp/#prelink#.ILOqVT Could not trace symbol resolving
S.?.....   /usr/lib64/libgcj.so.7rh.0.0
..5....T c /usr/lib64/security/classpath.security
.......T d /usr/share/info/fastjar.info.gz
.......T   /usr/share/java/libgcj-4.1.1.jar
.......T   /usr/share/java/libgcj-tools-4.1.1.jar
.......T d /usr/share/man/man1/fastjar.1.gz
.......T d /usr/share/man/man1/gcj-dbtool.1.gz
.......T d /usr/share/man/man1/gij.1.gz
.......T d /usr/share/man/man1/grepjar.1.gz
.......T d /usr/share/man/man1/grmic.1.gz
.......T d /usr/share/man/man1/grmiregistry.1.gz
.......T d /usr/share/man/man1/jv-convert.1.gz
..5....T c /usr/lib/security/classpath.security
S.5....T   /sbin/ldconfig
S.5....T   /sbin/sln
..?.....   /usr/sbin/glibc_post_upgrade.i686
S.5....T   /usr/sbin/iconvconfig
prelink: /lib64/libpthread-2.5.so: prelinked file was modified
S.?.....   /lib64/libpthread-2.5.so
..?.....   /usr/sbin/glibc_post_upgrade.x86_64
.......T d /usr/share/info/libc.info-1.gz
.......T d /usr/share/info/libc.info-10.gz
.......T d /usr/share/info/libc.info-11.gz
.......T d /usr/share/info/libc.info-2.gz
.......T d /usr/share/info/libc.info-3.gz
.......T d /usr/share/info/libc.info-4.gz
.......T d /usr/share/info/libc.info-5.gz
.......T d /usr/share/info/libc.info-6.gz
.......T d /usr/share/info/libc.info-7.gz
.......T d /usr/share/info/libc.info-8.gz
.......T d /usr/share/info/libc.info-9.gz
.......T d /usr/share/info/libc.info.gz
prelink: /usr/libexec/gcc/x86_64-redhat-linux/4.1.1/jc1: prelinked file was 
modified


Comment 4 W. Terrell Magee 2007-08-22 18:02:07 EDT
There was a hardware problem with this machine.  A reseat of the chip and 
memory sticks resulted in a stable box.  It has been up for 1 day now with no 
additional failures.

I would like to close this bug now.
Terrell

Note You need to log in before you can comment on or make changes to this bug.